#include<iostream>
#include<cstdlib>
using namespace std;
int main()
{
int i,a[i],n,x,razlika1,razlika2,manjarazlika,br,c=0,d=0,min,max,konacno,k,y1,y2;
cin>>n;
cin>>x;
for(i=0;i<n;i++)
{
	cin>>a[i];
	
if(a[i] == x)
{
break;	
}
}

    max = a[0];
    min = a[0];

    
    for(i=1; i<n; i++)
    {
      
        if(a[i] > max)
        {
            max = a[i];
        }

         if(a[i] < min)
        {
            min = a[i];
        }
    }
    razlika1=x-max;
    razlika2 = x-min;
    
    
    if(razlika1>0)
    {
     y1= razlika1;     
    }
    else if (razlika1<0)
{
      y1= -(razlika1);     
}
    if(razlika2>0)
    {
     y2=razlika2;     
    }
    else if (razlika2<0)
    {
     y2=-razlika2;     
    }
    
    
     if(y1>y2)
    {
     manjarazlika=y2;
	 k= min - max;
	 if(k>0) 
	 {
     konacno=k;     
    }
    else 
    {
     konacno=-k;     
    }
	}
	
     else if(y1<y2)
    {
     manjarazlika=y1;    
	  k= max-min;
	 if(k>0) 
	 {
     konacno=k;     
    }
    else 
    {
     konacno=-k;  
    }
    
    
    
}
br=manjarazlika+konacno;
cout<<br<<endl;


}